from django.urls import path
from webapp import views as webapp_views

app_name = "webapp"

urlpatterns = [
    path("", webapp_views.PostListView.as_view(), name="index"),
    path("post/new/", webapp_views.PostCreateView.as_view(), name="post_create"),
    path("post/<int:pk>/", webapp_views.PostDetailView.as_view(), name="post_detail"),
    path("post/<int:pk>/edit/", webapp_views.PostUpdateView.as_view(), name="post_update"),
    path("post/<int:pk>/delete/", webapp_views.PostDeleteView.as_view(), name="post_delete"),

    path("post/<int:p_pk>/comment/new/", webapp_views.CommentCreateView.as_view(), name="comment_create"),
    path("comment/<int:pk>/delete/", webapp_views.CommentDeleteView.as_view(), name="comment_delete"),
    path("search/", webapp_views.SearchView.as_view(), name="search")


]
